Skip to content
GET /unified/forms/fields

Query Parameters

Refer Specifying query parameters in Truto APIs

formobject
6 supported6 required5 notes
Google
required

The form to which the response belongs.

Google Forms
required

The form to which the response belongs.

Jotform
required

The fields associated with the form.

Survey Monkey
required

The form to which the response belongs.

SurveySparrow
required
Typeform
required

The form to which the response belongs.

idstring
required·

The unique identifier of the form.

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Fields

columnsobject[]

The field's columns. If present, the field's type is matrix

2 supported
Jotform
supported
Survey Monkey
supported
3 properties
descriptionstring

The column's description

labelstring

The column's label

valuestring

The column's value

created_atstring · date-time

The date and time of the field's creation

1 supported
SurveySparrow
supported
descriptionstring

The field's description

3 supported
Google
supported
Google Forms
supported
Jotform
supported
field_groupobject

The field's group identifier. If present, the field is part of a group.

5 supported
Google
supported
Google Forms
supported
Jotform
supported
Survey Monkey
supported
Typeform
supported
5 properties
descriptionstring

The field group's description

idstring

The field groups's identifier

labelstring

The field group's label

namestring

The field groups's name

positionnumber

The index position of field group in the form.

formatstring

The format of the field.

Possible values:
urlemailpassword
5 supported
Google
supported
Google Forms
supported
Jotform
supported
SurveySparrow
supported
Typeform
supported
idstring

The field's unique identifier

6 supported
Google
supported
Google Forms
supported
Jotform
supported
Survey Monkey
supported
SurveySparrow
supported
Typeform
supported
is_requiredboolean

Whether the field is required

6 supported
Google
supported
Google Forms
supported
Jotform
supported
Survey Monkey
supported
SurveySparrow
supported
Typeform
supported
labelstring

The field's label

6 supported
Google
supported
Google Forms
supported
Jotform
supported
Survey Monkey
supported
SurveySparrow
supported
Typeform
supported
namestring

The field's name. This is the name of the property in the entity.

6 supported
Google
supported
Google Forms
supported
Jotform
supported
Survey Monkey
supported
SurveySparrow
supported
Typeform
supported
optionsobject[]

The field's options

6 supported
Google
supported
Google Forms
supported
Jotform
supported
Survey Monkey
supported
SurveySparrow
supported
Typeform
supported
3 properties
descriptionstring

The option's description

labelstring

The option's label

valuestring

The option's value

placeholderstring

The field's placeholder

2 supported
Jotform
supported
Survey Monkey
supported
positionnumber

The index position of field in the form.

3 supported
Jotform
supported
Survey Monkey
supported
SurveySparrow
supported
rangeobject

The range applicable for field types number, rating, scale.

6 supported
Google
supported
Google Forms
supported
Jotform
supported
Survey Monkey
supported
SurveySparrow
supported
Typeform
supported
4 properties
maxnumber

The maximum range for the field.

max_labelnumber

The label for the maximum range of the field.

minnumber

The minimum range for the field.

min_labelnumber

The label for the minimum range of the field.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

rowsobject[]

The field's rows. If present, the field's type is matrix

2 supported
Jotform
supported
Survey Monkey
supported
3 properties
descriptionstring

The row's description

labelstring

The row's label

valuestring

The row's value

typestring

The field's type. If no clear mapping exists, then raw value is returned.

Possible values:
statementstringtextrich_textnumberbooleandatedatetimetimeenumarrayfile+ 7 more
6 supported
Google
supported
Google Forms
supported
Jotform
supported
Survey Monkey
supported
SurveySparrow
supported
Typeform
supported
updated_atstring · date-time

The date and time of the field's last update

1 supported
SurveySparrow
supported
validationstring

The validation string for the field.

2 supported
Survey Monkey
supported
Typeform
supported
curl -X GET 'https://api.truto.one/unified/forms/fields?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/forms/fields?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/forms/fields"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'forms',
  'fields',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "forms",
        "fields",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())